#pragma once

#include "../../packets/base/GenericPacket.hpp"
#include "../../Context.hpp"


namespace drp::event {


class BaseEvent {
public:
    virtual ~BaseEvent() = default;
    virtual void handle(
        Context& context,
        const packet::GenericPacketContent& content,
        const sockaddr_storage& fromAddress,
        socklen_t fromAddressLength
    ) = 0;
};


}
